'''Created 24 Nov 2023 Levi'''

import unittest
import pprint

from anafapi.anafspv import anafSPV


class spvTest(unittest.TestCase):
    spv = anafSPV()

    def test_get_messages(self):
        requests_cookies = self.spv.get_cookies_from_browser()
        messages = self.spv.get_messages(10)
        pprint.pprint(messages)
        for message in messages['mesaje'][-1:]:  # -1:
            self.spv.download_message(message['cif'], id_=message['id'], details=message['detalii'])
        # self.spv.download_message('27100508', id_='556755658', details=message['tip'])

    def test_get_fin_sheet(self):
        requests_cookies = self.spv.get_cookies_from_browser()
        response = self.spv.get_fin_sheet(cui='27100508')
        pprint.pprint(response)

    def test_get_vector(self):
        requests_cookies = self.spv.get_cookies_from_browser()
        response = self.spv.get_vector(cui='17259191')
        pprint.pprint(response)


if __name__ == "__main__":
    unittest.main()
